/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "./type";
import { BrushUtil } from "./BrushUtil";
import { DeviceUtils } from "./DeviceUtils";
/**
 * @hidden
 */
export let FontDefaults = /*@__PURE__*/ (() => {
    class FontDefaults extends Base {
        static aq(a) {
            return "Titillium Web, " + a + ", Arial, sans-serif";
        }
    }
    FontDefaults.$t = markType(FontDefaults, 'FontDefaults');
    FontDefaults.legendLabelsBrush = BrushUtil.g(255, 37, 37, 37);
    FontDefaults.legendLabelsFontSizeConst = 14;
    FontDefaults.legendLabelsFontSize = DeviceUtils.f(14);
    FontDefaults.legendLabelsFontConst = "Verdana";
    FontDefaults.legendLabelsFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.dataLegendFontBrush = BrushUtil.g(255, 37, 37, 37);
    FontDefaults.dataLegendFontSizeConst = 14;
    FontDefaults.dataLegendFontSize = DeviceUtils.f(14);
    FontDefaults.dataLegendFontFamilyConst = "Verdana";
    FontDefaults.dataLegendFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.dataLegendFontWeight = "400";
    FontDefaults.dataLegendFontStyle = "Normal";
    FontDefaults.dataLegendFontStretch = "Normal";
    FontDefaults.dataLegendFontVariant = "Normal";
    FontDefaults.dataLegendHeaderFontWeight = "600";
    FontDefaults.chartAxisLabelBrush = BrushUtil.g(255, 78, 78, 78);
    FontDefaults.chartFontSizeConst = 14;
    FontDefaults.chartFontSize = DeviceUtils.f(14);
    FontDefaults.chartFontNameConst = "Verdana";
    FontDefaults.chartFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.chartFontWeight = "400";
    FontDefaults.chartFontStyle = "Normal";
    FontDefaults.chartFontStretch = "Normal";
    FontDefaults.chartFontVariant = "Normal";
    FontDefaults.chartTitleFontSizeConst = 20;
    FontDefaults.chartTitleFontSize = DeviceUtils.f(20);
    FontDefaults.chartTitleNameConst = "Verdana";
    FontDefaults.chartTitleFontWeight = "600";
    FontDefaults.chartSubtitleFontSizeConst = 20;
    FontDefaults.chartSubtitleFontSize = DeviceUtils.f(20);
    FontDefaults.chartSubtitleNameConst = "Verdana";
    FontDefaults.chartSubtitleFontWeight = "600";
    FontDefaults.tooltipLabelsBrush = BrushUtil.g(255, 78, 78, 78);
    FontDefaults.tooltipLabelsFontSizeConst = 14;
    FontDefaults.tooltipLabelsFontSize = DeviceUtils.f(FontDefaults.tooltipLabelsFontSizeConst);
    FontDefaults.tooltipFontNameConst = "Verdana";
    FontDefaults.tooltipLabelsFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.gaugesFontBrush = BrushUtil.g(255, 97, 97, 97);
    FontDefaults.gaugesFontSizeConst = 12;
    FontDefaults.gaugesFontSize = DeviceUtils.f(12);
    FontDefaults.gaugesFontFamilyConst = "Verdana";
    FontDefaults.gaugesFontWeight = "600";
    FontDefaults.gaugesFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.treemapFontSizeConst = 13;
    FontDefaults.treemapFontSize = DeviceUtils.f(13);
    FontDefaults.treemapHeaderFontSizeConst = 13;
    FontDefaults.treemapHeaderFontSize = DeviceUtils.f(13);
    FontDefaults.treemapFontFamilyConst = "Verdana";
    FontDefaults.treemapFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.treemapHeaderFontFamily = FontDefaults.aq("Verdana");
    FontDefaults.zoomSliderFontSizeConst = 10;
    FontDefaults.zoomSliderFontSize = DeviceUtils.f(10);
    FontDefaults.zoomSliderNameConst = "Verdana";
    return FontDefaults;
})();
